com.intellectualcrafters.plot.util

## Class ReflectionUtils.RefMethod

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils.RefMethod

- Enclosing class:
    ReflectionUtils

      public static class ReflectionUtils.RefMethod
      extends java.lang.Object

  Method wrapper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ReflectionUtils.RefMethod.RefExecutor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `call(java.lang.Object... params)` call static method
    `java.lang.reflect.Method` | `getRealMethod()`
    `ReflectionUtils.RefClass` | `getRefClass()`
    `ReflectionUtils.RefClass` | `getReturnRefClass()`
    `ReflectionUtils.RefMethod.RefExecutor` | `of(java.lang.Object e)` apply method to object

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRealMethod

          public java.lang.reflect.Method getRealMethod()

      Returns:
        passed method

    - #### getRefClass

          public ReflectionUtils.RefClass getRefClass()

      Returns:
        owner class of method

    - #### getReturnRefClass

          public ReflectionUtils.RefClass getReturnRefClass()

      Returns:
        class of method return type

    - #### of

          public ReflectionUtils.RefMethod.RefExecutor of(java.lang.Object e)

      apply method to object
      Parameters:
        `e` - object to which the method is applied
      Returns:
        RefExecutor with method call(...)

    - #### call

          public java.lang.Object call(java.lang.Object... params)

      call static method
      Parameters:
        `params` - sent parameters
      Returns:
        return value